## talloc 2.0.1

=== debian/changelog ===
talloc (2.0.1-1) unstable; urgency=low

  * New upstream release
  * Switch to source format 3.0 (quilt)
  * Add myself to uploaders

 -- Christian Perrier <bubulle@debian.org>  Thu, 17 Dec 2009 22:36:31 +0100

talloc (2.0.0-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.8.3.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 11 Sep 2009 23:03:06 +0200

talloc (1.3.1-2) unstable; urgency=low

  * Bump shlibs and use symbol versioning. Closes: #536322
  * Bump standards version to 3.8.2.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 18 Jul 2009 11:24:04 +0200

talloc (1.3.1-1) unstable; urgency=low

  * New upstream release.
   + Fixes build on non-Linux GNU systems. (Closes: #526069)

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 17 Jun 2009 17:07:03 +0200

talloc (1.3.0-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.8.1.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 16 May 2009 03:05:22 +0200

talloc (1.2.1-1) unstable; urgency=low

  [ Steve Langasek ]
  * Bump the shlibs in libtalloc1, since previous versions of this package
    have been in the wild (including in an Ubuntu release) with a smaller
    set of exported symbols than the current version - including talloc_pool
    which is used by samba.

  [ Jelmer Vernooij ]
  * Add dummy watch file explaining how to obtain an upstream tarball.
  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 14 Mar 2009 18:48:57 +0100

talloc (1.2.0~git20080616-1) unstable; urgency=low

  * New upstream snapshot.
  * Fix symlink to library in package.
  * Update license (now LGPLv3) in copyright file.
  * Bump standards version to 3.8.0.

 -- Jelmer Vernooij <jelmer@samba.org>  Tue, 17 Jun 2008 03:02:55 +0200

talloc (1.2.0~git20080520-1) unstable; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@samba.org>  Tue, 20 May 2008 01:40:13 +0200

talloc (1.1.0~svn26291-1) unstable; urgency=low

  * Support building twice in a row. (Closes: #442741)
  * Install SWIG file.
  * Upload to unstable.

 -- Jelmer Vernooij <jelmer@samba.org>  Fri, 30 Nov 2007 18:49:19 +0100

talloc (1.1.0~svn26116-1) experimental; urgency=low

  * Set homepage field.
  * New upstream snapshot.
  * Allow Debian maintainer uploads.

 -- Jelmer Vernooij <jelmer@samba.org>  Sun, 25 Nov 2007 18:02:48 +0000

talloc (1.0.1-2) unstable; urgency=low

  * Make libtalloc-dev depend on libtalloc1. (Closes: #426444)

 -- Jelmer Vernooij <jelmer@samba.org>  Sun, 25 Nov 2007 16:30:00 +0000

talloc (1.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@samba.org>  Sat, 26 May 2007 18:58:31 +0200

talloc (1.0-1) unstable; urgency=low

  * Initial release. (Closes: #356088)

 -- Jelmer Vernooij <jelmer@samba.org>  Wed, 30 Apr 2007 02:34:53 +0200
