=== debian/control ===
Source: talloc
Section: devel
Priority: optional
Maintainer: Jelmer Vernooij <jelmer@debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>
Homepage: http://talloc.samba.org/
Build-Depends: debhelper (>= 7), docbook-xml, docbook-xsl, xsltproc, libpopt-dev, swig
Standards-Version: 3.8.3
Vcs-Svn: svn://svn.debian.org/pkg-samba/trunk/talloc
DM-Upload-Allowed: yes

Package: libtalloc2
Architecture: any
Depends: ${shlibs:Depends}
Section: libs
Description: hierarchical pool based memory allocator
 A hierarchical pool based memory allocator with destructors. It uses 
 reference counting to determine when memory should be freed.

Package: libtalloc-dev
Section: libdevel
Depends: libtalloc2 (=${binary:Version})
Architecture: any
Description: hierarchical pool based memory allocator - development files
 A hierarchical pool based memory allocator with destructors. It uses 
 reference counting to determine when memory should be freed.
 .
 This package contains the development files.
