## talloc 2.0.5

=== debian/changelog ===
talloc (2.0.5-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 23 Jan 2011 19:32:51 -0800

talloc (2.0.4-1) unstable; urgency=low

  * New upstream release.
  * Link with --as-needed.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 21 Dec 2010 16:32:33 +0100

talloc (2.0.4~git20101213-1) experimental; urgency=low

  * New upstream snapshot.
   + Introduces symbol versioning.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 14 Dec 2010 00:59:17 +0100

talloc (2.0.4~git20101205-1) experimental; urgency=low

  * New upstream release.
  * Bump standards version to 3.9.1 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 05 Dec 2010 15:19:14 +0100

talloc (2.0.3~git20101101-2) experimental; urgency=low

  * Add dependency on libpytalloc-util2 to libpytalloc-util-dev.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 04 Nov 2010 21:56:22 +0100

talloc (2.0.3~git20101101-1) experimental; urgency=low

  * New upstream snapshot.
   + Fixes example include line in manual page. Closes: #588393
   + Removes manual page mention of deprecated talloc_append_string,
     consistent with other deprecated functionality. Closes: #601205
   + Add new binary packages libpytalloc-util2 and libpytalloc-util-dev.
  * Bump standards version to 3.9.1 (no changes).
  * Support nocheck in DEB_BUILD_OPTIONS rather than notest (per policy
    4.9.1).

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 01 Nov 2010 19:06:20 +0100

talloc (2.0.3~git20100517-1) experimental; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 21 May 2010 00:22:17 +0200

talloc (2.0.3~git20100506-2) experimental; urgency=low

  * Add dependency on python for waf. Closes: #580743

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 13 May 2010 18:33:54 +0200

talloc (2.0.3~git20100506-1) experimental; urgency=low

  * New upstream snapshot.
  * Bump standards version to 3.8.4.
  * Update upstream location information in debian/copyright. Closes:
    #561529
  * Add missing dependencies on ${misc:Depends}.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 06 May 2010 16:39:57 +0200

talloc (1.4.0~git20090718-1) experimental; urgency=low

  * New upstream snapshot, required for Samba 4.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 18 Jul 2009 12:14:50 +0200
