=== debian/control ===
Source: talloc
Section: devel
Priority: optional
Maintainer: Jelmer Vernooij <jelmer@debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>
Homepage: http://talloc.samba.org/
Build-Depends: debhelper (>= 7), docbook-xml, docbook-xsl, xsltproc, libpopt-dev, swig, python, python-dev, python-support
Standards-Version: 3.9.1
Vcs-Bzr: http://bzr.debian.org/pkg-samba/talloc/unstable

Package: libtalloc2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: libs
Description: hierarchical pool based memory allocator
 A hierarchical pool based memory allocator with destructors. It uses
 reference counting to determine when memory should be freed.

Package: libtalloc-dev
Section: libdevel
Depends: libtalloc2 (=${binary:Version}), ${misc:Depends}, pkg-config
Architecture: any
Description: hierarchical pool based memory allocator - development files
 A hierarchical pool based memory allocator with destructors. It uses
 reference counting to determine when memory should be freed.
 .
 This package contains the development files.

Package: python-talloc
Architecture: any
Section: python
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: hierarchical pool based memory allocator - Python bindings
 A hierarchical pool based memory allocator with destructors. It uses
 reference counting to determine when memory should be freed.
 .
 This package contains the Python bindings.

Package: python-talloc-dev
Architecture: all
Section: libdevel
Depends: python-talloc (>= ${source:Version}), ${misc:Depends}, pkg-config
Description: talloc Python bindings - development files
 A hierarchical pool based memory allocator with destructors. It uses
 reference counting to determine when memory should be freed.
 .
 This package contains the development files for the Python bindings.
