=== debian/watch ===
version=3
ftp://ftp.samba.org/pub/talloc/talloc-(.+).tar.gz
