## talloc 2.0.7

=== debian/changelog ===
talloc (2.0.7-3) unstable; urgency=low

  * Link with --as-needed.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 28 Sep 2011 11:06:58 +0200

talloc (2.0.7-2) unstable; urgency=low

  * Build against default system Python and explicitly use dh_python2.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 25 Sep 2011 19:14:47 +0200

talloc (2.0.7-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 16 Sep 2011 15:11:44 +0200

talloc (2.0.6-2) unstable; urgency=low

  * Cherry-pick ABI for pytalloc.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 18 Aug 2011 19:28:03 +0200

talloc (2.0.6-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 09 Aug 2011 02:56:17 +0200

talloc (2.0.5-3) unstable; urgency=low

  * Switch to new style debhelper.
  * Upload to unstable.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 28 Jul 2011 16:22:52 +0200

talloc (2.0.5-2) experimental; urgency=low

  * Switch to dh_python2.
  * Add multi-arch support to libtalloc1.
  * Add debug packages libtalloc2-dbg and python-talloc-dbg.
  * Bump standards version to 3.9.2 (no changes).
  * Fix license mentioned in manual page. Closes: #623879

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 26 Jul 2011 20:35:13 +0200
