=== debian/changelog ===
talloc (2.0.7+git20120207-1ubuntu1) raring; urgency=low

  * Fix FTBFS: use shebang for python2.x-config instead of assuming that it is
    a Python script (LP: #1108983). 

 -- Robie Basak <robie.basak@canonical.com>  Tue, 29 Jan 2013 15:44:57 +0000

talloc (2.0.7+git20120207-1) unstable; urgency=low

  * New upstream snapshot.
   + Unpacks waf source code. Closes: #654508

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 07 Feb 2012 15:46:18 +0100
