=== debian/control ===
--- 
+++ 
@@ -1,20 +1,36 @@
 Source: talloc
 Section: devel
 Priority: optional
-Maintainer: Jelmer Vernooij <jelmer@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jelmer Vernooij <jelmer@debian.org>
 Uploaders: Christian Perrier <bubulle@debian.org>
 Homepage: http://talloc.samba.org/
-Build-Depends: debhelper (>= 7), docbook-xml, docbook-xsl, xsltproc, libpopt-dev, swig, python, python-dev, python-support
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 8.1.3), docbook-xml, docbook-xsl, xsltproc, libpopt-dev, swig, python-all (>= 2.6.6-3), python-all-dev (>= 2.6.6-3)
+Standards-Version: 3.9.2
 Vcs-Bzr: http://bzr.debian.org/pkg-samba/talloc/unstable
 
 Package: libtalloc2
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Section: libs
 Description: hierarchical pool based memory allocator
  A hierarchical pool based memory allocator with destructors. It uses
  reference counting to determine when memory should be freed.
+
+Package: libtalloc2-dbg
+Pre-Depends: ${misc:Pre-Depends}
+Section: debug
+Priority: extra
+Depends: libtalloc2 (= ${binary:Version}), ${misc:Depends}
+Architecture: any
+Recommends: libc6-dbg
+Description: hierarchical pool based memory allocator - debug symbols
+ A hierarchical pool based memory allocator with destructors. It uses
+ reference counting to determine when memory should be freed.
+ .
+ This package contains the debug symbols.
 
 Package: libtalloc-dev
 Section: libdevel
@@ -27,9 +43,9 @@
  This package contains the development files.
 
 Package: python-talloc
+Pre-Depends: ${misc:Pre-Depends}
 Architecture: any
 Section: python
-XB-Python-Version: ${python:Versions}
 Provides: ${python:Provides}
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
 Description: hierarchical pool based memory allocator - Python bindings
@@ -38,10 +54,23 @@
  .
  This package contains the Python bindings.
 
+Package: python-talloc-dbg
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Section: debug
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-talloc (= ${binary:Version})
+Recommends: python-dbg, libtalloc2-dbg
+Priority: extra
+Description: hierarchical pool based memory allocator - Python debug extension
+ A hierarchical pool based memory allocator with destructors. It uses
+ reference counting to determine when memory should be freed.
+ .
+ This package contains the Python debug extension.
+
 Package: python-talloc-dev
-Architecture: all
+Architecture: any
 Section: libdevel
-Depends: python-talloc (>= ${source:Version}), ${misc:Depends}, pkg-config
+Depends: python-talloc (= ${binary:Version}), ${misc:Depends}, pkg-config
 Description: talloc Python bindings - development files
  A hierarchical pool based memory allocator with destructors. It uses
  reference counting to determine when memory should be freed.
