=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: talloc
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jelmer Vernooij <jelmer@debian.org>
+Maintainer: Jelmer Vernooij <jelmer@debian.org>
 Uploaders: Christian Perrier <bubulle@debian.org>
 Homepage: http://talloc.samba.org/
 Build-Depends: debhelper (>= 8.1.3), docbook-xml, docbook-xsl, xsltproc, libpopt-dev, swig, python-all (>= 2.6.6-3), python-all-dev (>= 2.6.6-3)
